Package uk.ac.starlink.topcat.plot2

# Class PlotPositionSpecifier

java.lang.Object
uk.ac.starlink.ttools.plot2.config.SpecifierPanel<PlotPosition>
uk.ac.starlink.topcat.plot2.PlotPositionSpecifier

All Implemented Interfaces:
  `uk.ac.starlink.ttools.plot2.config.Specifier<PlotPosition>`

public class PlotPositionSpecifier extends uk.ac.starlink.ttools.plot2.config.SpecifierPanel<PlotPosition>
Specifier for a PlotPosition.

Since:
  18 Dec 2014
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`PlotPositionSpecifier()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`JComponent`
`createComponent()`
`PlotPosition`
`getSpecifiedValue()`
`void`
`setSpecifiedValue(PlotPosition plotpos)`
`void`
`submitReport(uk.ac.starlink.ttools.plot2.ReportMap report)`

### Methods inherited from class uk.ac.starlink.ttools.plot2.config.SpecifierPanel

`addActionListener, fireAction, getActionForwarder, getChangeForwarder, getComponent, isXFill, removeActionListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlotPositionSpecifier

public PlotPositionSpecifier()
Constructor.

## Method Details

### getSpecifiedValue

public PlotPosition getSpecifiedValue()

### setSpecifiedValue

public void setSpecifiedValue(PlotPosition plotpos)

### submitReport

public void submitReport(uk.ac.starlink.ttools.plot2.ReportMap report)

### createComponent

public JComponent createComponent()

Specified by:
  `createComponent` in class `uk.ac.starlink.ttools.plot2.config.SpecifierPanel<PlotPosition>`